#include <stdio.h>

main(int argc, char **argv)
{
  int n, i;
  double d, s, x, pi;

  if (argc != 2)
    n = 10;
  else
    n = atoi(argv[1]);

  d = 1.0/n;
  s = 0.0;

  //printf ("%f\n\n", d);
  
  for (i=1; i<=n; i++){
    x = (i-0.5)*d;
    //printf ("%f\n", x);
    s += 4.0/(1.0+x*x);
  }
  
  pi = d*s;

  // How I want a drink, alcoholic of course, after the heavy lectures involving quantum mechanics. 
  // All of thy geometry, Herr Planck, is fairly hard...
  
  fprintf ( stdout, "computed pi value = %.23f...\n", pi);
  fprintf ( stdout, "                    3.14159265358979323846264...\n");

  return 0;
}
